package grpc_pool

import (
	"time"

	"google.golang.org/grpc"
)

type PoolHandler interface {
	Dial() (conn *grpc.ClientConn, client interface{}, err error)

	GetMaxCapacity() int
	GetMaxIdle() int
	GetIdleTimeout() time.Duration
	Validate()
}
